Get collateral offer by ID
curl --request GET \
--url https://criffy.com/api/v1/collateral/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://criffy.com/api/v1/collateral/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://criffy.com/api/v1/collateral/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://criffy.com/api/v1/collateral/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://criffy.com/api/v1/collateral/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://criffy.com/api/v1/collateral/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://criffy.com/api/v1/collateral/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 701,
"compositeKey": "aave:ethereum:wbtc",
"platform": {
"type": "protocol",
"slug": "aave",
"name": "Aave"
},
"chain": {
"slug": "ethereum",
"symbol": "ETH",
"name": "Ethereum"
},
"asset": {
"slug": "wrapped-bitcoin",
"symbol": "WBTC",
"name": "Wrapped Bitcoin"
},
"platform_type": "protocol",
"term_days": null,
"initial_ltv": "70",
"margin_call_ltv": "78",
"liquidation_ltv": "80",
"is_active": true,
"link": "https://app.aave.com",
"synced_at": "2026-04-23T09:58:00.000Z",
"updated_at": "2026-04-23T10:00:00.000Z"
}Offers
Get collateral offer by ID
GET
/
api
/
v1
/
collateral
/
{id}
Get collateral offer by ID
curl --request GET \
--url https://criffy.com/api/v1/collateral/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://criffy.com/api/v1/collateral/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://criffy.com/api/v1/collateral/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://criffy.com/api/v1/collateral/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://criffy.com/api/v1/collateral/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://criffy.com/api/v1/collateral/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://criffy.com/api/v1/collateral/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 701,
"compositeKey": "aave:ethereum:wbtc",
"platform": {
"type": "protocol",
"slug": "aave",
"name": "Aave"
},
"chain": {
"slug": "ethereum",
"symbol": "ETH",
"name": "Ethereum"
},
"asset": {
"slug": "wrapped-bitcoin",
"symbol": "WBTC",
"name": "Wrapped Bitcoin"
},
"platform_type": "protocol",
"term_days": null,
"initial_ltv": "70",
"margin_call_ltv": "78",
"liquidation_ltv": "80",
"is_active": true,
"link": "https://app.aave.com",
"synced_at": "2026-04-23T09:58:00.000Z",
"updated_at": "2026-04-23T10:00:00.000Z"
}Authorizations
Bearer API key for authenticated /api/v1/* access.
Path Parameters
Numeric offer identifier.
Response
Collateral offer.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Initial loan-to-value percentage serialized as a decimal string.
Margin-call LTV percentage serialized as a decimal string when available.
Liquidation LTV percentage serialized as a decimal string when available.
Runtime activity status for the collateral offer. Published offers can be returned when this is false.

